Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.document
Class Timestamp

    java.lang.Object
      org.infinispan.schematic.document.Timestamp

    @Immutable
    @SerializeWith(value=Timestamp.Externalizer.class)
    public final class Timestamp

extends Object

A `timestamp` value for use within a `BSON object`. Note that using `Date` is recommended for most applications and use cases, as they are more generally suited for representing instants in time.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Nested Class Summary
`static class` | `Timestamp.Externalizer`

Constructor Summary
`Timestamp()`
`Timestamp(Date date)`
`Timestamp(int timeInSeconds, int inc)`

Method Summary
`boolean` | `equals(Object obj)`
`Date` | `getAsDate()`
`int` | `getInc()`
`int` | `getTime()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Timestamp

    public Timestamp()

### Timestamp

    public Timestamp(Date date)

### Timestamp

    public Timestamp(int timeInSeconds,
                     int inc)

Method Detail

### getTime

    public int getTime()

### getInc

    public int getInc()

### getAsDate

    public Date getAsDate()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.